{% extends "profile/layouts/frontend/base.html" %}
{% load static %}
{% load humanize %}

{% block main %}
<section class="main_slider_area bus_slider_area">
    <div class="main_slider bus_slider classified_slider">
      {% if carousel %}
      {% for dt_carousel in carousel %}
       <div class="slider_item">
          <div class="image_overlay" style="background: url('{{ dt_carousel.foto.url }}') no-repeat;"></div>
          <div class="container">
             <div class="slider_text">
                <!-- <h2 data-animation="fadeInUp" data-delay="0.5s">Find the <span>best car</span> <br/>for you</h2>
                <p data-animation="fadeInUp" data-delay="800ms">With everyday low fares and hundreds of direct routes, <br/>everyone can explore new places!</p>
                <a data-animation="fadeInDown" data-delay="1s" class="main_btn orange" href="#">View Collection</a>
                <a data-animation="fadeInDown" data-delay="1s" class="main_btn orange" href="#">Get Quote</a> -->
             </div>
          </div>
       </div>
       {% endfor %}
       {% else %}
       <div class="slider_item">
         <div class="image_overlay" style="background: url('static/frontend/img/slider/inova-toyotajogjaid.jpg') no-repeat;"></div>
         <div class="container">
            <div class="slider_text">
               <!-- <h2 data-animation="fadeInUp" data-delay="0.5s">Find the <span>best car</span> <br/>for you</h2>
               <p data-animation="fadeInUp" data-delay="800ms">With everyday low fares and hundreds of direct routes, <br/>everyone can explore new places!</p>
               <a data-animation="fadeInDown" data-delay="1s" class="main_btn orange" href="#">View Collection</a>
               <a data-animation="fadeInDown" data-delay="1s" class="main_btn orange" href="#">Get Quote</a> -->
            </div>
         </div> 
      </div>
       {% endif %}
       
    </div>
    <div class="slider_nav slider_nav_four">
       <i class="arrow_left ti-angle-left"></i>
       <i class="arrow_right ti-angle-right"></i>
    </div>
 </section>
 <section class="find_form">
    <div class="container">
       <div class="find_title">
          <i class="icon-car_2"></i> Simulasi Kredit
       </div>
       <div class="find_form_inner row m0">
          <div class="find_item">
             <select id="selectMobil" class="nice_select">
                <option>Pilih Mobil</option>
                {% for mobil in sim_kredit %}
                <option value="{{mobil.id}}">{{mobil.nama| truncatewords:3}}</option>
                {% endfor %}
             </select>
          </div>
          <div class="find_item">
             <select id="selectType" class="nice_select type-select">
               <option>Type</option>
             </select>
          </div>
          <div class="find_item">
             <select id="selectDP" class="nice_select">
                <option>DP</option>
                <option value="25">25%</option>
                <option value="30">30%</option>
                <option value="35">35%</option>
             </select>
          </div>
          <div class="find_item">
             <select id="selectTenor" class="nice_select">
                <option>Tenor</option>
                <option value="12">12X - 1 Tahun</option>
                <option value="24">24X - 2 Tahun</option>
                <option value="36">36X - 3 Tahun</option>
                <option value="48">48X - 4 Tahun</option>
                <option value="60">60X - 5 Tahun</option>
             </select>
          </div>
          <div class="find_item">
            <button id="hitungButton" style="width: 193px;" class="submit_btn" type="button"><i class="fa fa-calculator"></i> Hitung</button>
         </div>
         <div class="find_item mt-4" id="resultCard1" style="display: none;"></div>
         <div class="find_item mt-4" id="resultCard2" style="display: none;"></div>
       </div>
       
    </div>
 </section>
 <section class="car_about_area truck_video pad_btm wow animated fadeInUp" data-wow-delay="0.2s" style="padding-top:30px;">
    <div class="container">
       <div class="row car_about_inner">
          <div class="col-lg-6">
             <div class="c_ab_text">
                <h6>Tentang Kami</h6>
                <h5>{{dt_pengantar.judul}}</h5>
                <p class="text-justify">
                  {{dt_pengantar.deskripsi}}</p>
                <p class="text-justify">
                  {{dt_pengantar.youtube}}
                </p>
                {% for detail_pengantar in child %}
                   <blockquote class="blockquote">
                   <p><i class="icon-quote"></i>"{{detail_pengantar.deskripsi}}"</p>
                   <h4>{{detail_pengantar.judul}}</h4>
                 {% endfor %}
                </blockquote>
                <img class="sing" src="{% static 'frontend/img/' %}/signature.png" alt>
             </div>
          </div>
          <div class="col-lg-6">
             <div class="car_video">
                <img class="img-fluid" src="/media/{{dt_pengantar.images}}" alt>
             </div>
          </div>
       </div>
    </div>
 </section>
 
 <section class="market_place_area p_100 d-none">
    <div class="container">
       <div class="row market_inner">
          <div class="col-lg-6">
             <div class="car_img">
                <img class="img-fluid wow animated fadeInLeft" src="{% static 'frontend/' %}img/katalog/banner-inova.png" alt>
                <ul class="nav">
                   <li class="wow animated fadeInLeft" data-wow-delay="0.2s">
                      <h4>50+</h4>
                      <h5>Sold</h5>
                   </li>
                   <li class="wow animated fadeInDown" data-wow-delay="0.4s">
                      <h4>20+</h4>
                      <h5>kmph</h5>
                   </li>
                   <li class="wow animated fadeInRight" data-wow-delay="0.5s">
                      <h4>10+</h4>
                      <h5>Awards</h5>
                   </li>
                </ul>
             </div>
          </div>
          <div class="col-lg-6">
             <div class="market_text">
                <h3>INNOVA ZENIX <span><br> Mulai Rp.</span> 383.000.000</h3>
                <div class="row maket_item_inner">
                   <div class="col-sm-6">
                      <div class="media">
                         <div class="d-flex">
                            <i class="icon-car_2"></i>
                         </div>
                         <div class="media-body">
                            <h4>Fitur 1</h4>
                            <p>New 10" Head Unit with Smartphone Connectivity</p>
                         </div>
                      </div>
                   </div>
                   <div class="col-sm-6">
                      <div class="media">
                         <div class="d-flex">
                            <i class="icon-pricing"></i>
                         </div>
                         <div class="media-body">
                            <h4>Fitur 2</h4>
                            <p>New Power Backdoor with Voice Command</p>
                         </div>
                      </div>
                   </div>
                   <div class="col-sm-6">
                      <div class="media">
                         <div class="d-flex">
                            <i class="icon-car_shield"></i>
                         </div>
                         <div class="media-body">
                            <h4>Fitur 3</h4>
                            <p>New Captain Seat with Ottoman</p>
                         </div>
                      </div>
                   </div>
                   <div class="col-sm-6">
                      <div class="media">
                         <div class="d-flex">
                            <i class="icon-rating"></i>
                         </div>
                         <div class="media-body">
                            <h4>Fitur 4</h4>
                            <p>New 10" Dual Rear Seat Entertainment</p>
                         </div>
                      </div>
                   </div>
                   <div class="col-sm-6">
                      <div class="media">
                         <div class="d-flex">
                            <i class="icon-car_shield"></i>
                         </div>
                         <div class="media-body">
                            <h4>Fitur 5</h4>
                            <p>New 10" Dual Rear Seat Entertainment</p>
                         </div>
                      </div>
                   </div>
                   <div class="col-sm-6">
                      <div class="media">
                         <div class="d-flex">
                            <i class="icon-rating"></i>
                         </div>
                         <div class="media-body">
                            <h4>Fitur 6</h4>
                            <p>New TNGA Platform</p>
                         </div>
                      </div>
                   </div>
                </div>
             </div>
          </div>
       </div>
    </div>
 </section>
<!-- kelebihan -->
<section class="quickly_area">
    <div class="container">
       <div class="quickly_inner">
          <h3 class="wow animated fadeInUp" data-wow-delay="0.2s">Kelebihan <span>Memilih </span> Kami !</h3>
       </div>
       <div class="row b_feature_inner">
         {% for data_keunggulan in keunggulan %}
          <div class="col-lg-3 col-sm-6 ">
             <div class="b_f_item wow animated fadeInLeft" data-wow-delay="0.2s">
                <center>
                   <div class="icon">
                   <i class="icon-support1"></i>
                   </div>
                </center>
                <a href="#">
                   <h4>{{data_keunggulan.judul}}</h4>
                </a>
                <p class="text-justify">Sales Toyota siap memberikan konsultasi pribadi untuk membantu Anda menemukan mobil Toyota yang sesuai dengan kebutuhan dan preferensi Anda</p>
             </div>
          </div>
          {% endfor %}
          
       </div>
    </div>
 </section>
 <section class="">
    <div class="container">
       <div class="flag_center_title">
          <h3 class="wow animated fadeInUp" data-wow-delay="0.2s" style="padding-top:30px;"> Pilih Tipe Mobil Anda</h3>
       </div>
       <div class="car_browse_slider owl-carousel" style="padding-bottom:30px;">
         {% for data_kategori in data_kat_mobil %}
          <div class="item">
            <div class="car_c_item">
               <a href="{% url 'profile:kategori_mobil' data_kategori.id %}"><img src="/media/{{data_kategori.image}}" width="104" height="44"></a>
               <a href="{% url 'profile:kategori_mobil' data_kategori.id %}">
                  <h5>{{data_kategori.judul}}</h5>
               </a>
            </div>
          </div>
         {% endfor %}
       </div>
    </div>
 </section>
<section class="latest_collection_area p_100">
    <div class="container">
       <div class="flag_title">
          <h2 class="wow animated fadeInUp" data-wow-delay="0.2s"><i class="icon-car_2"></i> Katalog</h2>
       </div>
       <div class="row l_collection_inner">
         {% for data_mobil in data_mobil_ %}
          <div class="col-lg-4 col-md-6">
             <div class="l_collection_item wow animated fadeInUp" data-wow-delay="0.2s">
                <div class="car_img">
                  <a href="{% url 'profile:detail_mobil' data_mobil.id %}">
                     {% for img in data_mobil.mobilimage_set.all %}
                     {% if forloop.first %}
                        <img class="img-fluid" src="{{MEDIA_URL}}{{img.images}}" alt>
                     {% endif %}
                     {% endfor %}
                  </a>
                </div>
                  <div style="padding-left: 10px; padding-right: 10px;">
                     <a href="{% url 'profile:detail_mobil' data_mobil.id %}" style="color: red;">
                        <h4>{{data_mobil.nama}}</h4>
                     </a>
                     
                     <h5>{{data_mobil.harga|intcomma}}</h5>
                  </div>
                <div class="text_footer">
                   <a href="#"><i class="icon-calculator"></i> Simulasikan</a>
                </div>
             </div>
          </div>

          
          {% endfor %}
          <a class="main_btn red wow animated fadeInRight d-none" data-wow-delay="0.2s" href="#"><i class="icon-car_2"></i> Lihat Semua</a>
       </div>
    </div>
 </section>
<section class="latest_blog_area p_100">
    <div class="container">
       <div class="flag_center_title wow animated fadeInUp" data-wow-delay="0.2s">
          <h2>Tips toyotajogja.id</h2>
       </div>
       <div class="row l_blog_inner">

         {% for data_berita in dt_berita %}
          <div class="col-lg-4 col-sm-6">
             <div class="l_blog_item wow animated fadeInDown" data-wow-delay="0.2s">
                <div class="blog_img">
                   <a href="{% url 'profile:detail_info' slug=data_berita.slug %}"><img class="img-fluid" src="/media/{{data_berita.thumbnail}}" alt></a>
                   <a class="cat" href="#">Design</a>
                </div>
                <div class="blog_content">
                   <a class="date" href="#"><i class="icon-calendar1"></i> {{data_berita.creted_at}}</a>
                   <a href="{% url 'profile:detail_info' slug=data_berita.slug %}">
                      <h6>{{data_berita.title}}</h6>
                   </a>
                  
                </div>
             </div>
          </div>
         {% endfor %}
         
         
       </div>
    </div>
 </section> 
 <section class="testimonials_area red2 p_100">
    <div class="container">
       <div class="title_two text-center white red2 wow  fadeInUp animated" data-wow-delay="0.2s" style="visibility: visible; animation-delay: 0.2s; animation-name: fadeInUp;">
          <h5>Kata Konsumen Kami</h5>
          <h2>Testimoni!</h2>
       </div>
       <div class="testi_inner">
          <div class="testi_slider owl-carousel owl-loaded owl-drag">
             <div class="owl-stage-outer">
                <div class="owl-stage" style="transform: translate3d(-1520px, 0px, 0px); transition: all 1.5s ease 0s; width: 5700px;">
                   
                   {% for testimoni in kata %}
                   <div class="owl-item active" style="width: 380px;">
                      <div class="item" >
                         <div class="testi_item" style="background-color:#978181b3;">
                            <img src="/media/{{testimoni.image}}" alt="">
                            <p class="text-justify text-white">{{testimoni.keterangan}}</p> 
                            <div class="media">
                               <div class="d-flex">
                                  <img class="rounded" width="50%" src="{% static 'frontend/img/toyota-jogja-id.png' %}" alt="">
                               </div>
                               <div class="media-body">
                                  <h3 class="text-white">{{testimoni.judul}} - Bantul</h3>
                                  <h5 class="text-white">Konsumen - Alan Nasmoco</h5>
                               </div>
                            </div>
                         </div>
                      </div>
                   </div>
                   {% endfor %}
                   <!-- <div class="owl-item active" style="width: 380px;">
                      <div class="item" >
                         <div class="testi_item" style="background-color:#978181b3;">
                            <img src="{% static 'frontend/' %}img/testimonials/testimoni1.jpg" alt="">
                            <p class="text-justify text-white">Pelayanan sales mobil Toyota luar biasa. Mereka memberikan konsultasi yang detail dan jelas tentang fitur mobil. Uji coba kendaraan memberikan pengalaman langsung. Simulasi kredit membantu proses pembiayaan. Saya sangat puas dan akan merekomendasikannya.</p> 
                            <div class="media">
                               <div class="d-flex">
                                  <img class="rounded-circle" src="{% static 'frontend/' %}img/testimonials/testi-1.png" alt="">
                               </div>
                               <div class="media-body">
                                  <h3 class="text-white">Prastowo - Kasongan</h3>
                                  <h5 class="text-white">Konsumen - Alan Nasmoco</h5>
                               </div>
                            </div>
                         </div>
                      </div>
                   </div> -->
                </div>
             </div>
             <div class="owl-nav disabled"><button type="button" role="presentation" class="owl-prev"><span aria-label="Previous">‹</span></button><button type="button" role="presentation" class="owl-next"><span aria-label="Next">›</span></button></div>
             <div class="owl-dots"><button role="button" class="owl-dot active"><span></span></button><button role="button" class="owl-dot"><span></span></button><button role="button" class="owl-dot"><span></span></button></div>
          </div>
       </div>
    </div>
 </section>
 <section class="p_100">
    <div class="container">
       <center>
          <div class="row">
            {% for data_partner in partner  %}
             <div class="col-sm-3">
                <a href="#"  class="text-center"><img class=" wow animated fadeInLeft mb-2" src="/media/{{data_partner.logo}}"></a>
             </div>
             {% endfor %}
          </div>
       </center>
    </div>
 </section>

{% endblock main %}

{% block script %}

<script>
      var typeMobilData = [
      {% for type in type_mobil %}
         { id: {{ type.id }}, mobilId: {{ type.id_mobil.id }}, typex: "{{ type.typex }}" },
      {% endfor %}
      ];

      function populateNiceSelect(selectedMobilId) {
         var selectType = $('#selectType'); // Menentukan elemen selectType dengan id
         selectType.empty(); // Menghapus semua opsi

         // Menambahkan opsi berdasarkan data yang sesuai
         typeMobilData.forEach(function (type) {
               if (type.mobilId === selectedMobilId) {
                  selectType.append('<option value="' + type.id + '">' + type.typex + '</option>');
               }
         });

         // Memperbarui tampilan elemen nice-select setelah diisi
         selectType.next('.nice-select').find('.current').text('Type');
         selectType.next('.nice-select').find('.option.selected').removeClass('selected');
         selectType.niceSelect('update');
      }

      // Event listener untuk perubahan pada dropdown selectMobil
      $('#selectMobil').change(function () {
         var selectedMobilId = parseInt($(this).val(), 10);
         console.log(selectedMobilId);

         if (!isNaN(selectedMobilId) && selectedMobilId !== '') {
               // Isi ulang nice-select dengan opsi baru
               populateNiceSelect(selectedMobilId);
         } else {
               // Mengatur kembali elemen selectType ke opsi default
               $('#selectType').empty();
               $('#selectType').val('');

               // Menunjukkan kembali elemen selectType dan elemen nice-select
               $('#selectType').show();
               // Memperbarui tampilan elemen nice-select setelah diisi
               $('#selectType').niceSelect('update');
         }
      });
   
      // Add event listener to the calculate button
      $('#hitungButton').click(function () {
         // Get selected values
         var selectedMobil = $('#selectMobil option:selected').val();
         var selectedType = $('#selectType option:selected').val();
         var selectedDP = $('#selectDP option:selected').val();
         var selectedTenor = $('#selectTenor option:selected').val();
         // Get the CSRF token from the meta tag in your HTML
         var csrfToken = $('meta[name=csrf-token]').attr('content');   

         console.log(selectedMobil, selectedType, selectedDP, selectedTenor)

         // Perform AJAX request for loan calculation
         $.ajax({
            url: '/calculate_loan', // Replace with your actual server endpoint
            method: 'POST',
            data: {
                  mobil: selectedMobil,
                  type: selectedType,
                  dp: selectedDP,
                  tenor: selectedTenor
            },
            headers: {
                  'X-CSRFToken': csrfToken
            },
            success: function (result) {
               $('#resultCard1').html('<div style="width: 193px; height: auto; background: white">' +
                  '<div class="text-content"><h2 style="font-size: small; margin-left: 16px;font-family: barlow, sans-serif; font-weight: 400;">Angsuran</h2></div>' +
                  '<div class="text-sub"><h2 style="font-size: larger; margin-left: 16px; height: 30px; font-family: barlow, sans-serif; font-weight: 600;">' + result.installment + '</h2></div>' +
                  '</div>').show();

               $('#resultCard2').html('<div style="width: 193px; height: auto; background: white">' +
                  '<div class="text-content"><h2 style="font-size: small; margin-left: 16px;font-family: barlow, sans-serif; font-weight: 400;">Total DP</h2></div>' +
                  '<div class="text-sub"><h2 style="font-size: larger; margin-left: 16px; height: 30px; font-family: barlow, sans-serif; font-weight: 600;">' + result.total_dp + '</h2></div>' +
                  '</div>').show();
            },
            error: function (error) {
                  console.error('Error calculating loan:', error);
            }
         });
      });

</script>
{% endblock %}

